ISC BIND 9 Zero-Length RDATA Section Denial of Service / Information Disclosure

High Nessus Plugin ID 59446

Synopsis

The remote name server may be affected by a denial of service / information disclosure vulnerability.

Description

According to its self-reported version number, the remote installation of BIND does not properly handle resource records with a zero-length RDATA section, which may lead to unexpected outcomes, such as crashes of the affected server, disclosure of portions of memory, corrupted zone data, or other problems.

Note that Nessus has only relied on the version itself and has not attempted to determine whether or not the install is actually affected.

Solution

Upgrade to BIND 9.6-ESV-R7-P1 / 9.7.6-P1 / 9.8.3-P1 / 9.9.1-P1 or later.

See Also

http://ftp.isc.org/isc/bind9/9.6-ESV-R7-P1/CHANGES

http://ftp.isc.org/isc/bind9/9.7.6-P1/CHANGES

http://ftp.isc.org/isc/bind9/9.8.3-P1/CHANGES

http://ftp.isc.org/isc/bind9/9.9.1-P1/CHANGES

https://kb.isc.org/docs/aa-00698

https://www.isc.org/software/bind/advisories/cve-2012-1667

Plugin Details

Severity: High

ID: 59446

File Name: bind9_991_p1.nasl

Version: 1.12

Type: remote

Family: DNS

Published: 2012/06/11

Updated: 2018/11/15

Dependencies: 10028

Configuration: Enable paranoid mode

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 8.5

Temporal Score: 6.3

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:N/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:isc:bind

Required KB Items: bind/version, Settings/ParanoidReport

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2012/06/04

Vulnerability Publication Date: 2012/06/04

Reference Information

CVE: CVE-2012-1667

BID: 53772

CERT: 381699